#pragma once

#include <imgui.h>
#include <string>

std::string quote(const std::string& str);
void throw_system_error(int err, const char* what);
void throw_system_error(const char* what);
void throw_system_error(std::string what);

namespace ImGui {
    void TextUnformatted(const std::string& str);
    bool RedButton(const char* label);
    bool Button(const char* label, bool enabled);
}; // namespace ImGui
