#include <imgui.h>

#include "../fragments/filters.h"
#include "../filters.h"
#include "../config.h"
#include "filters.h"

void filters_window(Config& active_config, Config& inactive_config,
        const std::vector<LogcatEntry>& logcat_entries, std::vector<size_t>& filtered_logcat_entry_offsets,
        bool* p_open) {
    if (!ImGui::Begin("Filters", p_open)) {
        ImGui::End();
        return;
    }

    filters_fragment(active_config, active_config.filters, inactive_config.filters, logcat_entries, filtered_logcat_entry_offsets, p_open);

    ImGui::End();
}
